# opj_tccp Struct Reference
[J2K - JPEG-2000 codestream reader/writer]

`#include <gdcm_j2k.h>`

Collaboration diagram for opj_tccp:
[legend]

List of all members.

## Public Attributes
int | cblkh
int | cblksty
int | cblkw
int | csty
int | numgbits
int | numresolutions
int | prch [J2K_MAXRLVLS]
int | prcw [J2K_MAXRLVLS]
int | qmfbid
int | qntsty
int | roishift
opj_stepsize_t | stepsizes [J2K_MAXBANDS]

## Detailed Description

Tile-component coding parameters

## Member Data Documentation

int opj_tccp::cblkh

code-blocks height

int opj_tccp::cblksty

code-block coding style

int opj_tccp::cblkw

code-blocks width

int opj_tccp::csty

coding style

int opj_tccp::numgbits

number of guard bits

int opj_tccp::numresolutions

number of resolutions

int opj_tccp::prch[J2K_MAXRLVLS]

precinct height

int opj_tccp::prcw[J2K_MAXRLVLS]

precinct width

int opj_tccp::qmfbid

discrete wavelet transform identifier

int opj_tccp::qntsty

quantisation style

int opj_tccp::roishift

Region Of Interest shift

opj_stepsize_t opj_tccp::stepsizes[J2K_MAXBANDS]

stepsizes used for quantization

The documentation for this struct was generated from the following file:

- gdcm_j2k.h